## grisbi 1.0.2

=== win32-msvc/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
if(POLICY CMP0015)
   # policies not known to CMake 2.6 ...
   cmake_policy(SET CMP0015 NEW)
endif(POLICY CMP0015)

PROJECT (Grisbi C)

# MS Visual Studio 10 Macros
# $(Platform)      The name of current project platform (for example, "Win32").
# $(Configuration) The name of the current project configuration (for example, "Debug").
# $(TargetDir)     The directory of the primary output file for the build (defined as drive + path); includes the trailing backslash '\'.
# see http://msdn.microsoft.com/en-us/library/c02as0cs%28v=VS.100%29.aspx for more macros

SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY target\\$(Platform))
SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY target\\$(Platform)\\$(Configuration)\\plugins)
SET(package_name grisbi)

ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
ADD_DEFINITIONS(-D__PRETTY_FUNCTION__="")
ADD_DEFINITIONS(-D_WIN32)

# Define to 1 if translation of program messages to the user's native language is requested.
ADD_DEFINITIONS(-DENABLE_NLS=1)

# Define if you have the iconv() function.
ADD_DEFINITIONS(-DHAVE_ICONV=1)

# Define if you have <langinfo.h> and nl_langinfo(CODESET).
ADD_DEFINITIONS(-DHAVE_LANGINFO_CODESET=1)

# Define if your <locale.h> file defines LC_MESSAGES.
ADD_DEFINITIONS(-DHAVE_LC_MESSAGES=1)

# Define to 1 if you have the `intl' library (-lintl).
ADD_DEFINITIONS(-DHAVE_LIBINTL=1)

# Define to 1 if you have the <limits.h> header file.
ADD_DEFINITIONS(-DHAVE_LIMITS_H=1)

# Define to 1 if you have the <locale.h> header file.
ADD_DEFINITIONS(-DHAVE_LOCALE_H=1)

# Define to 1 if you have the <malloc.h> header file.
ADD_DEFINITIONS(-DHAVE_MALLOC_H=1)

# Define to 1 if you have the <memory.h> header file.
ADD_DEFINITIONS(-DHAVE_MEMORY_H=1)

# Define to 1 if you have the `mempcpy' function.
ADD_DEFINITIONS(-DHAVE_MEMPCPY=1)

# Define to 1 to have grisbi plugins management system activated
ADD_DEFINITIONS(-DHAVE_PLUGINS=1)

# Define to 1 if you have the `setlocale' function.
ADD_DEFINITIONS(-DHAVE_SETLOCALE=1)

# Define to 1 if you have the <string.h> header file.
ADD_DEFINITIONS(-DHAVE_STRING_H=1)

# Define to 1 to have OFX support disabled
#ADD_DEFINITIONS(-DNOOFX=1)
# Define to 1 if you want to have OFX support using libofx 0.7.0
ADD_DEFINITIONS(-DOFX_0_7=1)

# Define to 1 when you do not want to use SSL as crypt algorithm (NOT RECOMMANDED)
#ADD_DEFINITIONS(-DNOSSL=1)

INCLUDE_DIRECTORIES(
	target/$(Platform)/gtk-dev/include/atk-1.0
	target/$(Platform)/gtk-dev/include/cairo
	target/$(Platform)/gtk-dev/include/glib-2.0
	target/$(Platform)/gtk-dev/include/gdk-pixbuf-2.0
	target/$(Platform)/gtk-dev/include/gtk-2.0
	target/$(Platform)/gtk-dev/include/pango-1.0
	target/$(Platform)/gtk-dev/include
	target/$(Platform)/gtk-dev/lib/glib-2.0/include
	target/$(Platform)/gtk-dev/lib/gtk-2.0/include
	target/$(Platform)/plugins-dev/libofx/include
	target/$(Platform)/plugins-dev/libxml2/include
	target/$(Platform)/plugins-dev/iconv/include
	target/$(Platform)/plugins-dev/openssl/include
	../win32-msvc/src
	../win32-msvc
	../win32
	../src
	../src/plugins/gnucash
	../src/plugins/ofx
	../src/plugins/openssl
)

LINK_DIRECTORIES(
	target/$(Platform)/gtk-dev/lib
	target/$(Platform)/plugins-dev/libofx/lib
	target/$(Platform)/plugins-dev/libxml2/lib
	target/$(Platform)/plugins-dev/iconv/lib
	target/$(Platform)/plugins-dev/openssl/lib
	target/$(Platform)/plugins-dev/openssl/lib/VC
	$(TargetDir)
)

SET (grisbi_source
	../src/*.c
	../src/*.h
	../win32-msvc/src/getopt.c
	../win32-msvc/src/getopt.h
	../win32-msvc/src/getopt1.c
	../win32-msvc/src/realpath.c
	../win32-msvc/src/realpath.h
	../win32-msvc/src/resource.h
	../win32-msvc/src/grisbi.rc
	../win32-msvc/config.h
	../win32/win32gtkutils.c
	../win32/win32gtkutils.h
	../win32/win32utils.c
	../win32/win32utils.h
	# ../win32/grisbi.ico
)

ADD_EXECUTABLE(grisbi
	WIN32
	${grisbi_source}
)

TARGET_LINK_LIBRARIES( grisbi
	glib-2.0
	intl
	cairo
	gdk_pixbuf-2.0
	gdk-win32-2.0
	gio-2.0
	gmodule-2.0
	gobject-2.0
	gtk-win32-2.0
	pango-1.0
	pangocairo-1.0
	zdll
)

set_target_properties ( grisbi
	PROPERTIES ENABLE_EXPORTS 1
)

ADD_DEPENDENCIES (grisbi prepare_env prepare_mo)

ADD_LIBRARY ( ofx
	SHARED
	../src/plugins/ofx/ofx.c
	../src/plugins/ofx/ofx.h
)

ADD_CUSTOM_COMMAND ( TARGET ofx
	POST_BUILD
#	COMMAND XCOPY /D /Y $(Configuration)\\ofx.dll target\\$(Platform)\\$(Configuration)\\plugins\\
	COMMAND XCOPY /D /Y target\\$(Platform)\\plugins-dev\\libofx\\bin\\* target\\$(Platform)\\$(Configuration)
	COMMAND IF NOT EXIST target\\$(Platform)\\$(Configuration)\\dtd MKDIR target\\$(Platform)\\$(Configuration)\\dtd
	COMMAND XCOPY /D /Y target\\$(Platform)\\plugins-dev\\libofx\\bin\\dtd\\o*.d* target\\$(Platform)\\$(Configuration)\\dtd
)

ADD_LIBRARY ( gnucash
	SHARED
	../src/plugins/gnucash/gnucash.c
	../src/plugins/gnucash/gnucash.h
)

ADD_CUSTOM_COMMAND ( TARGET gnucash
	POST_BUILD
	COMMAND XCOPY /D /Y $(Configuration)\\gnucash.dll target\\$(Platform)\\$(Configuration)\\plugins\\
	COMMAND XCOPY /D /Y target\\$(Platform)\\plugins-dev\\libxml2\\bin\\libxml2.dll target\\$(Platform)\\$(Configuration)\\
	COMMAND XCOPY /D /Y target\\$(Platform)\\plugins-dev\\iconv\\bin\\iconv.dll target\\$(Platform)\\$(Configuration)\\
)

ADD_LIBRARY ( openssl
	SHARED
	../src/plugins/openssl/openssl.c
	../src/plugins/openssl/openssl.h
)

ADD_CUSTOM_COMMAND ( TARGET openssl
	POST_BUILD
#	COMMAND XCOPY /D /Y $(Configuration)\\openssl.dll target\\$(Platform)\\$(Configuration)\\plugins\\
	COMMAND XCOPY /D /Y target\\$(Platform)\\plugins-dev\\openssl\\bin\\libeay32.dll target\\$(Platform)\\$(Configuration)
)


ADD_DEPENDENCIES (ofx grisbi)
TARGET_LINK_LIBRARIES (ofx
	glib-2.0
	intl
	grisbi
	libofx
)
ADD_DEPENDENCIES (gnucash grisbi)
TARGET_LINK_LIBRARIES (gnucash
	glib-2.0
	intl
	grisbi
	libxml2
	iconv
)
ADD_DEPENDENCIES (openssl grisbi)
TARGET_LINK_LIBRARIES (openssl
	glib-2.0
	intl
	grisbi
	gobject-2.0
	gtk-win32-2.0
	libeay32
	ssleay32
)

ADD_CUSTOM_TARGET (prepare_env)

ADD_CUSTOM_COMMAND(TARGET prepare_env
	POST_BUILD
	COMMAND IF NOT EXIST target\\$(Platform)\\$(Configuration) mkdir target\\$(Platform)\\$(Configuration)
)


# ADD_CUSTOM_COMMAND(TARGET prepare_env
	# POST_BUILD
	# COMMAND xcopy /Y /C /D target\\gtk-dev\\bin\\*.dll target\\Debug
	# COMMAND xcopy /Y /C /D target\\gtk-dev\\bin\\*.dll target\\Release
# )

# ADD_CUSTOM_COMMAND(TARGET prepare_env
	# POST_BUILD
	# COMMAND xcopy /S /Y /D target\\gtk-dev\\etc target\\Debug\\etc\\
	# COMMAND xcopy /S /Y /D target\\gtk-dev\\etc target\\Release\\etc\\
# )

# ADD_CUSTOM_COMMAND(TARGET prepare_env
	# POST_BUILD
	# COMMAND xcopy /S /Y /D target\\gtk-dev\\lib\\gtk-2.0\\2.10.0 target\\Debug\\lib\\gtk-2.0\\2.10.0\\
	# COMMAND xcopy /S /Y /D target\\gtk-dev\\lib\\gtk-2.0\\2.10.0 target\\Release\\lib\\gtk-2.0\\2.10.0\\
# )

ADD_CUSTOM_COMMAND(TARGET prepare_env
	POST_BUILD
	COMMAND xcopy /S /Y /D ..\\pixmaps\\*.png target\\$(Platform)\\$(Configuration)\\pixmaps\\
	# COMMAND xcopy /S /Y /D ..\\pixmaps\\*.png target\\Release\\pixmaps\\
)

ADD_CUSTOM_COMMAND(TARGET prepare_env
	POST_BUILD
	COMMAND xcopy /S /Y /D ..\\help target\\$(Platform)\\$(Configuration)\\help\\
	# COMMAND xcopy /S /Y /D ..\\help target\\Release\\help\\
)

ADD_CUSTOM_COMMAND(TARGET prepare_env
	POST_BUILD
	COMMAND xcopy /S /Y /D ..\\share\\categories target\\$(Platform)\\$(Configuration)\\help\\tips\\categories\\
	# COMMAND xcopy /S /Y /D ..\\share\\categories target\\Release\\help\\tips\\categories\\
)

#ADD_CUSTOM_COMMAND(TARGET prepare_env
#	POST_BUILD
#	COMMAND tools\\dos2unix.cmd ..\\help\\tips\\tips.txt target\\$(Platform)\\$(Configuration)\\help\\tips\\tips#.txt
	# COMMAND tools\\dos2unix.cmd ..\\help\\tips\\tips.txt target\\Release\\help\\tips\\tips.txt
#)

set(
  po_files
  ../po/cs.po
  ../po/da.po
  ../po/de.po
  ../po/el.po
  ../po/eo.po
  ../po/es.po
  ../po/fa.po
  ../po/fr.po
  ../po/he.po
  ../po/it.po
  ../po/lv.po
  ../po/nl.po
  ../po/pl.po
  ../po/pt_BR.po
  ../po/ro.po
  ../po/ru.po
  ../po/zh_CN.po
)

# set (
  # tips_po_files
  # ../help/tips/de.po
  # ../help/tips/es.po
  # ../help/tips/fr.po
# )

set (msgfmt target\\Win32\\gettext\\bin\\msgfmt.exe)

ADD_CUSTOM_TARGET(prepare_mo
	COMMAND IF NOT EXIST target\\lib mkdir target\\lib
	COMMAND IF NOT EXIST target\\lib\\locale mkdir target\\lib\\locale
)

foreach (current_po ${po_files})
  get_filename_component(
    lang
    ${current_po}
    NAME_WE
  )

  set(mo_file target\\lib\\locale\\${lang}\\LC_MESSAGES\\${package_name}.mo)

  add_custom_command(TARGET prepare_mo
    POST_BUILD
	COMMAND IF NOT EXIST target\\lib\\locale\\${lang} mkdir target\\lib\\locale\\${lang}
	COMMAND IF NOT EXIST target\\lib\\locale\\${lang}\\LC_MESSAGES mkdir target\\lib\\locale\\${lang}\\LC_MESSAGES
  )

  add_custom_command(TARGET prepare_mo
	POST_BUILD
    # OUTPUT ${mo_file}
    COMMAND ${msgfmt} -c ${current_po} -o ${mo_file}
    DEPENDS ${current_po}
  )
 endforeach (current_po)

 # foreach (current_po ${tips_po_files})
  # get_filename_component(
    # lang
    # ${current_po}
    # NAME_WE
  # )

  # set(mo_file target\\lib\\locale\\${lang}\\LC_MESSAGES\\${package_name}-tips.mo)

  # add_custom_command(TARGET prepare_mo
    # POST_BUILD
	# COMMAND IF NOT EXIST target\\lib\\locale\\${lang} mkdir target\\lib\\locale\\${lang}
	# COMMAND IF NOT EXIST target\\lib\\locale\\${lang}\\LC_MESSAGES mkdir target\\lib\\locale\\${lang}\\LC_MESSAGES
  # )

  # add_custom_command(TARGET prepare_mo
	# POST_BUILD
  ##  OUTPUT ${mo_file}
    # COMMAND ${msgfmt} -c ${current_po} -o ${mo_file}
    # DEPENDS ${current_po}
  # )
 # endforeach (current_po)

 add_custom_command(TARGET prepare_mo
	POST_BUILD
	COMMAND IF NOT EXIST target\\$(Platform)\\$(Configuration)\\lib mkdir target\\$(Platform)\\$(Configuration)\\lib
	COMMAND xcopy /S /Y /I /D target\\lib\\locale target\\$(Platform)\\$(Configuration)\\lib\\locale
	# COMMAND IF NOT EXIST target\\Release\\lib mkdir target\\Release\\lib
	# COMMAND xcopy /S /Y /I /D target\\lib\\locale target\\Release\\lib\\locale
)

=== debian/changelog ===
grisbi (1.0.2-3build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:49:33 +0000

grisbi (1.0.2-3) unstable; urgency=medium

  * Remove dependency on libgoffice-0.8-dev since goffice-0.8 will be removed
    from Debian. Grisbi 1.1 will have support of goffice-1.0
  * debian/rules: use hardening=+all
  * debian/grisbi.menu: remove the Debian menu file since the package already
    provides a grisbi.desktop file.
    See https://lists.debian.org/debian-devel-announce/2015/09/msg00000.html
  * Bump Standards-Version from 3.9.5 to 3.9.8

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 24 Nov 2017 15:02:25 +0100

grisbi (1.0.2-2) unstable; urgency=medium

  * Fix "qif export - wrong amount format (french while should be
    english in all cases)" Use patch from upstream (Closes: #742777)

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 20 Sep 2017 18:09:27 +0200

grisbi (1.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 17 Jun 2017 11:53:32 +0200

=== debian/control ===
Source: grisbi
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stéphane Glondu <glondu@debian.org>
Uploaders: Roberto C. Sanchez <roberto@connexer.com>,
 Ludovic Rousseau <rousseau@debian.org>
Build-Depends:
 debhelper (>= 9),
 libgtk2.0-dev,
 libxml2-dev,
 libofx-dev,
 libssl-dev,
 autotools-dev,
 intltool,
 chrpath
Standards-Version: 3.9.8
Homepage: http://www.grisbi.org/
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/grisbi.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/grisbi.git

Package: grisbi
Architecture: any
Depends:
 grisbi-common (= ${source:Version}),
 xdg-utils,
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: www-browser
Description: personal finance management program
 Grisbi is a personal accounting program. Grisbi can handle multiple
 accounts, currencies and users. It helps you manage your money using
 third party, expenditure and receipt categories, as well as budgetary
 lines, financial years, and other information that makes it adapted
 for both personal and associative accounting.
 .
 Grisbi can import accounts from QIF, OFX and Gnucash files. It can
 print reports using LaTeX or export them via HTML.

Package: grisbi-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: grisbi (<< 0.5.9-5)
Replaces: grisbi (<< 0.5.9-5)
Description: shared files for the finance management program Grisbi
 Grisbi is a personal accounting program. Grisbi can handle multiple
 accounts, currencies and users. It helps you manage your money using
 third party, expenditure and receipt categories, as well as budgetary
 lines, financial years, and other information that makes it adapted
 for both personal and associative accounting.
 .
 This package contains architecture-independent files (icons,
 documentation and translations).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

SHARED_CONFIG := /usr/share/misc/config

%:
	dh $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure: config-stamp
	dh_auto_configure

config-stamp:
# Use most up-to-date config.{sub,guess}
	for u in sub guess; do \
	  if [ -f $(SHARED_CONFIG).$$u ]; then \
	    mv config.$$u debian && \
	    cp $(SHARED_CONFIG).$$u .; \
	  fi; \
	done
	touch $@

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
# Restore upstream config.{sub,guess}
	for u in sub guess; do \
	  if [ -f debian/config.$$u ]; then \
	    mv debian/config.$$u .; \
	  fi; \
	done
	rm -f config-stamp
	dh_auto_clean

.PHONY: override_dh_auto_install
override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr sysconfdir=$(CURDIR)/debian/tmp/etc

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs NEWS

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing -X.la

## grisbi 1.0.4

=== debian/changelog ===
grisbi (1.0.4-1) unstable; urgency=medium

  * New upstream release
  * d/patches/0006-disable-year_auto.patch: removed

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 02 Jun 2018 17:58:43 +0200

grisbi (1.0.3-2) unstable; urgency=medium

  * d/patches/0006-disable-year_auto.patch: apply patch from upstream

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 17 May 2018 17:56:29 +0200

grisbi (1.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 06 May 2018 21:06:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: grisbi
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stéphane Glondu <glondu@debian.org>
+Maintainer: Stéphane Glondu <glondu@debian.org>
 Uploaders: Roberto C. Sanchez <roberto@connexer.com>,
  Ludovic Rousseau <rousseau@debian.org>
 Build-Depends:

## grisbi 1.2.0

=== debian/changelog ===
grisbi (1.2.0-2) unstable; urgency=medium

  * re-pload to unstable

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 27 Jan 2019 15:16:47 +0100

grisbi (1.2.0-1) experimental; urgency=medium

  * new upstream version 1.2.0
  * d/gbp.conf: move back to master branch

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 27 Jan 2019 15:05:05 +0100

grisbi (1.1.96-1) experimental; urgency=medium

  * new upstream version 1.1.96

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 16 Jan 2019 21:51:40 +0100

grisbi (1.1.95-1) experimental; urgency=medium

  [ Roberto C. Sanchez ]
  * d/control: Fix uploader email address
  * d/control: Update Vcs-Git, Vcs-Browser to point to Salsa
  * Update to Standards-Version 4.2.1 (no changes required)

  [ Ludovic Rousseau ]
  * new upstream version 1.1.95
  * d/compat: update from 10 to 12
  * d/control: Standards-Version: 4.2.1 -> 4.3.0. No change needed.
  * d/rules: Do not use override_dh_install. gschemas.compiled is no more
    installed by default. See #883801

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 30 Dec 2018 21:49:11 +0100

grisbi (1.1.94-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

  [ Ludovic Rousseau ]
  * new upstream version 1.1.94
  * d/control: remove autotools-dev from Build-Depends since we use debhelper
    10
    grisbi source: useless-autoreconf-build-depends autotools-dev

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 01 Dec 2018 21:55:13 +0100

grisbi (1.1.93-1) experimental; urgency=medium

  * New upstream version 1.1.93

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 03 Jun 2018 16:28:19 +0200

grisbi (1.1.92-2) experimental; urgency=medium

  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: remove Stéphane Glondu as Maintainer: on his request

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 25 Mar 2018 16:42:09 +0200

grisbi (1.1.92-1) experimental; urgency=medium

  * New upstream version 1.1.92

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 23 Mar 2018 18:16:50 +0100

grisbi (1.1.91-1) experimental; urgency=medium

  * Fix lintian warning: desktop-mime-but-no-exec-code
  * New upstream version 1.1.91

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 21 Jan 2018 16:09:06 +0100

grisbi (1.1.90-2) experimental; urgency=medium

  * Do not ship /usr/share/glib-2.0/schemas/gschemas.compiled
    (Closes: #883801)
  * Upgrade to debhelper 10 (from 9)
  * debhelper 10 now uses autoreconf by default
  * Add _Keywords= key
  * Update icon size
  * Debian patches now uses git-buildpackage

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 24 Dec 2017 21:30:54 +0100

grisbi (1.1.90-1) experimental; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 30 Nov 2017 19:06:31 +0100

## grisbi 1.2.2

=== debian/changelog ===
grisbi (1.2.2-1) unstable; urgency=medium

  * new upstream version 1.2.2

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 13 Apr 2019 18:54:39 +0200

grisbi (1.2.1-1) unstable; urgency=medium

  * new upstream version 1.2.1

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 02 Mar 2019 07:46:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: grisbi
 Section: x11
 Priority: optional
-Maintainer: Stéphane Glondu <glondu@debian.org>
-Uploaders: Roberto C. Sanchez <roberto@connexer.com>,
- Ludovic Rousseau <rousseau@debian.org>
+Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Uploaders: Roberto C. Sanchez <roberto@debian.org>
 Build-Depends:
- debhelper (>= 9),
- libgtk2.0-dev,
- libxml2-dev,
+ chrpath,
+ debhelper (>= 12),
+ intltool,
+ libgoffice-0.10-dev,
+ libgsf-1-dev,
+ libgtk-3-dev,
  libofx-dev,
  libssl-dev,
- autotools-dev,
- intltool,
- chrpath
-Standards-Version: 3.9.8
+ libxml2-dev
+Standards-Version: 4.3.0
 Homepage: http://www.grisbi.org/
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/grisbi.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/grisbi.git
+Vcs-Browser: https://salsa.debian.org/debian/grisbi
+Vcs-Git: https://salsa.debian.org/debian/grisbi.git
 
 Package: grisbi
 Architecture: any

=== debian/watch ===
version=3
https://sf.net/grisbi/grisbi-(\d+\.\d*[02468](?:\.\d+)*)\.tar\.(?:gz|bz2)

## grisbi 2.0.3

=== debian/changelog ===
grisbi (2.0.3-1) unstable; urgency=medium

  * new upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 23 Feb 2021 11:19:12 +0100

grisbi (2.0.2-1) unstable; urgency=medium

  * new upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 08 Feb 2021 09:39:35 +0100

grisbi (2.0.1-1) unstable; urgency=medium

  * new upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 31 Jan 2021 21:28:38 +0100

grisbi (2.0.0-1) unstable; urgency=medium

  * new upstream release
  * d/control: Standards-Version: 4.5.0 -> 4.5.1. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 12 Jan 2021 09:59:29 +0100

grisbi (1.9.99-1) experimental; urgency=medium

  * new upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 04 Jan 2021 22:52:18 +0100

grisbi (1.9.98-1) experimental; urgency=medium

  * new upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 03 Jan 2021 17:37:11 +0100

grisbi (1.9.97-2-1) experimental; urgency=medium

  * new upstream version 1.9.97-2
  * d/patches/0001-Fix-automatic-definition-detection.patch: included upstream
  * Fix "Save (Ctrl+S) still saves even when escaping confirmation
    dialog" fixed upstream (Closes: #954345)
  * Fix "rounds JPY to EUR exchange fees value incorrectly when saving
    gsb file to disk" fixed upstream (Closes: #933872)
  * Fix "text unreadable when GTK theme is Adwaita-Dark" fixed upstream
    (Closes: #943639)

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 12 Dec 2020 17:16:04 +0100

grisbi (1.9.97-2) experimental; urgency=medium

  * d/patches/0001-Fix-automatic-definition-detection.patch: patch from
    upstream

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 06 Dec 2020 15:13:34 +0100

grisbi (1.9.97-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + grisbi-common: Add Multi-Arch: foreign.

  [ Ludovic Rousseau ]
  * new upstream version 1.9.97
  * d/patches/0001-Tune-grisbi.desktop.patch: removed, now fixed upstream
  * d/watch: move from version 3 to 4. No change needed.
    I: grisbi source: older-debian-watch-file-standard 3

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 06 Dec 2020 14:30:43 +0100

grisbi (1.9.96-2) experimental; urgency=medium

  * d/control: remove Build-Depends: libbrotli-dev
  * d/p/0001-Tune-grisbi.desktop.patch: use a Icon with no extension

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 05 Jul 2020 10:52:59 +0200

grisbi (1.9.96-1) experimental; urgency=medium

  * new upstream version 1.9.96
  * d/p/0001-Tune-grisbi.desktop.patch: icon renamed .svg from .png
  * d/control: add Build-Depends: libbrotli-dev to avoid #964185

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 03 Jul 2020 21:32:45 +0200

grisbi (1.9.95-1) experimental; urgency=medium

  * new upstream version 1.9.95
  * d/control: Build-Depends: debhelper-compat (= 13)

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 16 Jun 2020 16:15:35 +0200

grisbi (1.9.91-1) experimental; urgency=medium

  * new upstream version 1.9.91
  * d/p/0003-update-POTFILES.in: remove since included upstream
  * d/d/0001-Tune-grisbi.desktop.patch: refresh
  * d/control: Standards-Version: 4.3.0 -> 4.5.0. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 02 Apr 2020 13:15:15 +0200

grisbi (1.9.90-1) experimental; urgency=medium

  * new upstream version 1.9.90
  * d/p/0003-update-POTFILES.in: fix build failure
  * d/control: add Rules-Requires-Root: no
  * d/control: use Build-Depends: debhelper-compat (= 12)

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 13 Apr 2019 18:54:39 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Roberto C. Sanchez <roberto@debian.org>
 Build-Depends:
  chrpath,
- debhelper (>= 12),
+ debhelper-compat (= 13),
  intltool,
  libgoffice-0.10-dev,
  libgsf-1-dev,
@@ -13,7 +13,8 @@
  libofx-dev,
  libssl-dev,
  libxml2-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: http://www.grisbi.org/
 Vcs-Browser: https://salsa.debian.org/debian/grisbi
 Vcs-Git: https://salsa.debian.org/debian/grisbi.git
@@ -41,6 +42,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: grisbi (<< 0.5.9-5)
 Replaces: grisbi (<< 0.5.9-5)
+Multi-Arch: foreign
 Description: shared files for the finance management program Grisbi
  Grisbi is a personal accounting program. Grisbi can handle multiple
  accounts, currencies and users. It helps you manage your money using

## grisbi 2.0.5

=== debian/changelog ===
grisbi (2.0.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Archive, Bug-Submit (from ./configure).
  * Remove constraints unnecessary since buster:
    + grisbi-common: Drop versioned constraint on grisbi in Replaces.
    + grisbi-common: Drop versioned constraint on grisbi in Breaks.

  [ Ludovic Rousseau ]
  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 06 Sep 2021 19:11:06 +0200

grisbi (2.0.4-2) unstable; urgency=medium

  * upload to unstable

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 23 Aug 2021 21:38:09 +0200

grisbi (2.0.4-1) experimental; urgency=medium

  * new upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 22 Jun 2021 15:16:45 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libxml2-dev
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://www.grisbi.org/
+Homepage: https://www.grisbi.org/
 Vcs-Browser: https://salsa.debian.org/debian/grisbi
 Vcs-Git: https://salsa.debian.org/debian/grisbi.git
 
@@ -40,8 +40,6 @@
 Package: grisbi-common
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: grisbi (<< 0.5.9-5)
-Replaces: grisbi (<< 0.5.9-5)
 Multi-Arch: foreign
 Description: shared files for the finance management program Grisbi
  Grisbi is a personal accounting program. Grisbi can handle multiple

## grisbi 3.0.2

=== debian/changelog ===
grisbi (3.0.2-1) unstable; urgency=medium

  * New upstream release
  * d/p/0002-Add-.pc-quilt...: remove now useless patch

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 17 Jan 2024 19:04:21 +0100

grisbi (3.0.1-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: update date

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 12 Dec 2023 21:52:55 +0100

grisbi (3.0.0-1) unstable; urgency=medium

  * New upstream release
  * .xml file moved in usr/share/metainfo
  * missing-sources: the manual source code in not included
  * d/control: upgrade Standards-Version: 4.5.1 -> 3.6.2: no change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 18 Nov 2023 14:36:58 +0100

## grisbi 3.0.3

=== debian/changelog ===
grisbi (3.0.3-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:51:24 +1100

grisbi (3.0.3-1build2) noble; urgency=high

  * No change rebuild against libofx7t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:22:50 +0100

grisbi (3.0.3-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:08:47 +0000

grisbi (3.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 21 Jan 2024 22:36:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: grisbi
 Section: x11
 Priority: optional
-Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Uploaders: Roberto C. Sanchez <roberto@debian.org>
 Build-Depends:
  chrpath,
@@ -13,7 +14,7 @@
  libofx-dev,
  libssl-dev,
  libxml2-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.grisbi.org/
 Vcs-Browser: https://salsa.debian.org/debian/grisbi

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs NEWS

## grisbi 3.0.4

=== debian/changelog ===
grisbi (3.0.4-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 10:05:21 +0200

grisbi (3.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 16 Jun 2024 16:48:23 +0200

=== debian/watch ===
version=4
https://sf.net/grisbi/grisbi-(\d+\.\d*[02468](?:\.\d+)*)\.tar\.(?:gz|bz2)

## grisbi 3.90.0

=== debian/changelog ===
grisbi (3.90.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Build-Depends: meson
  * d/gbp.conf: upstream compression is xz
  * d/rules: force use of meson
  * d/copyright: update fsf address
  * d/control: upgrade Standards-Version: 4.6.2 -> 3.7.2: no change needed
  * d/upstream/metadata: add Repository fields
  * d/copyright: update-debian-copyright
  * d/grisbi.README.Debian: removed
  * d/watch: upgrade to version 5
  * d/control: remove Rules-Requires-Root

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 20 Nov 2025 23:39:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: grisbi
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Uploaders: Roberto C. Sanchez <roberto@debian.org>
 Build-Depends:
  chrpath,
@@ -13,9 +12,9 @@
  libgtk-3-dev,
  libofx-dev,
  libssl-dev,
- libxml2-dev
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+ libxml2-dev,
+ meson
+Standards-Version: 4.7.2
 Homepage: https://www.grisbi.org/
 Vcs-Browser: https://salsa.debian.org/debian/grisbi
 Vcs-Git: https://salsa.debian.org/debian/grisbi.git

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 %:
 	dh $@
 
+override_dh_autoreconf:
+	rm configure.ac Makefile.am
+
 .PHONY: override_dh_installchangelogs
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

=== debian/watch ===
version: 5

Source: https://sf.net/@PACKAGE@/
Matching-Pattern: @PACKAGE@-(\d+\.\d*[02468](?:\.\d+)*)\.tar\.(?:xz)

## grisbi 3.90.1

=== debian/changelog ===
grisbi (3.90.1-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 31 Dec 2025 18:32:06 +0100
